# Class Structure

java.lang.Object
org.jmol.adapter.smarter.Structure

All Implemented Interfaces:
  `Cloneable`

public class Structure extends Object implements Cloneable

## Field Summary

Fields
Modifier and Type
Field
Description
`int[]`
`atomStartEnd`
`BS[]`
`bsAll`
`int`
`endChainID`
`char`
`endInsertionCode`
`int`
`endSequenceNumber`
`int[]`
`modelStartEnd`
`int`
`startChainID`
`char`
`startInsertionCode`
`int`
`startSequenceNumber`
`int`
`strandCount`
`String`
`strandID`
`String`
`structureID`
`STR`
`structureType`
`STR`
`substructureType`

## Constructor Summary

Constructors
Constructor
Description
`Structure(int modelIndex, STR structureType, STR substructureType, String structureID, String strandID, int strandCount, BS[] bsAll)`

## Method Summary

Modifier and Type
Method
Description
`Structure`
`clone()`
`static STR`
`getHelixType(int type)`
`void`
`set(int startChainID, int startSequenceNumber, char startInsertionCode, int endChainID, int endSequenceNumber, char endInsertionCode, int istart, int iend)`

### Methods inherited from class Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### structureType

public STR structureType

### substructureType

public STR substructureType

### structureID

public String structureID

### strandID

public String strandID

### strandCount

public int strandCount

### startSequenceNumber

public int startSequenceNumber

### startChainID

public int startChainID

### startInsertionCode

public char startInsertionCode

### endSequenceNumber

public int endSequenceNumber

### endChainID

public int endChainID

### endInsertionCode

public char endInsertionCode

### atomStartEnd

public int[] atomStartEnd

### modelStartEnd

public int[] modelStartEnd

### bsAll

public BS[] bsAll

## Constructor Details

### Structure

public Structure(int modelIndex, STR structureType, STR substructureType, String structureID, String strandID, int strandCount, BS[] bsAll)

## Method Details

### getHelixType

public static STR getHelixType(int type)

### set

public void set(int startChainID, int startSequenceNumber, char startInsertionCode, int endChainID, int endSequenceNumber, char endInsertionCode, int istart, int iend)

### clone

public Structure clone()

Overrides:
  `clone` in class `Object`